## oem-preload-helper 2.0~22.04jiayi1

=== debian/changelog ===
oem-preload-helper (2.0~22.04jiayi1) jammy; urgency=medium

  * Bump version for jammy. (LP: #1969120)

 -- Jeremy Szu <jeremy.szu@canonical.com>  Fri, 13 May 2022 11:09:56 +0000

oem-preload-helper (2.0~20.04ouagadougou2) focal; urgency=medium

  * Bump versin

 -- hugh chao <hugh.chao@canonical.com>  Wed, 05 Feb 2020 11:20:00 +0800

oem-preload-helper (2.0~20.04ouagadougou1) focal; urgency=medium

  * Release 2.0~20.04ouagadougou1

 -- hugh chao <hugh.chao@canonical.com>  Fri, 17 Jan 2020 13:29:10 +0800

oem-preload-helper (1.9~18.04timbuktu2) bionic; urgency=medium

  * Release version 1.9~18.04timbuktu2

 -- Chen-Han Hsiao (Stanley) <stanley.hsiao@canonical.com>  Tue, 24 Apr 2018 12:51:39 +0800

oem-preload-helper (1.9~18.04timbuktu1) bionic; urgency=medium

  * Allow insecure local repositories at installation (LP: #1760048)

 -- Chen-Han Hsiao (Stanley) <stanley.hsiao@canonical.com>  Mon, 23 Apr 2018 20:56:41 +0800

oem-preload-helper (1.8columbia4) xenial; urgency=medium

  * Fix local archive.
  * Release 1.8columbia4

 -- Chen-Han Hsiao (Stanley) <stanley.hsiao@canonical.com>  Wed, 04 Jan 2017 12:49:24 +0800

oem-preload-helper (1.8columbia3) xenial; urgency=medium

  * Make sure $DESTDIR/scripts/casper-bottom exists before copying files to it.

 -- Gerald Yang <gerald.yang@canonical.com>  Wed, 09 Nov 2016 16:19:36 +0800

oem-preload-helper (1.8columbia2) xenial; urgency=medium

  * Clean preseed file, only apply necessary settings.

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Fri, 29 Jul 2016 16:00:51 +0800

oem-preload-helper (1.8columbia1) xenial; urgency=medium

  * Rename pacakge to oem-preload-helper.
  * Add oem-preload-casper package that installes
    casper hooks.
  * Move oem-install-shell to independent package.

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Thu, 28 Jul 2016 11:34:21 +0800

columbia-install-scripts (1.7columbia8) xenial; urgency=medium

  * Record installed packages at the last.

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Wed, 06 Jul 2016 17:51:38 +0800

columbia-install-scripts (1.7columbia7) xenial; urgency=medium

  * Add oem-early-task systemd service unit to start tasks
    before ubiquity is run.
    - Tasks should be dropped in /usr/share/ubuntu/scripts/ubiquity.d/early
  * Add oem-install-shell systemd service unit to start terminals
    during ubiquity installation. (LP: #1551507)
  * Process upstream arguments in oem-installer-hook and pass it
    to downstream scripts.

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Wed, 01 Jun 2016 16:32:21 +0800

columbia-install-scripts (1.7columbia6) xenial; urgency=medium

  * The columbia-install-scripts is now only installed on
    non-recovery image, there is no need to create separate
    -tasks package. Revert the changes in 1.7columbia5

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Mon, 16 May 2016 23:29:09 +0800

columbia-install-scripts (1.7columbia5) xenial; urgency=medium

  * Split columbia-install-scripts into columbia-install-scripts
    and columbia-install-scripts-tasks two pacakges.
  * Rename oem-installer-hook.sh to oem-installer-hook

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Fri, 13 May 2016 23:18:59 +0800

columbia-install-scripts (1.7columbia4) xenial; urgency=medium

  * Fix shell unexpected charactor if string is null.
  * Detect oem-config/enable settings in both preseed files
    and debconf database.
  * Do not propagate oem-config debconf settings if 
    ubuntu-recovery is installed.

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Fri, 13 May 2016 16:22:29 +0800

columbia-install-scripts (1.7columbia3) xenial; urgency=medium

  * Fix /archive package cannot be created
  * Remove unecessary cleanup script in oem-config.d/late/
  * Fix custom *ubiquity* packages are missing in
    /var/lib/ubiquity/installed-packages issue.

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Wed, 16 Mar 2016 11:11:28 +0800

columbia-install-scripts (1.7columbia2) xenial; urgency=medium

  * Remove retail mode scripts
  * Fix cleanup script not run in oem-config.d/late

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Fri, 11 Mar 2016 18:09:10 +0800

columbia-install-scripts (1.7columbia1) xenial; urgency=medium

  * Add oem-installer-hook.sh as a front-end to
    execute different type of hooks
  * Use drop-in snippets for install scripts
    - ubiquity.d for scripts run after ubiquity success/fail
    - partman.d for scripts run before/after partman
      (correspond to early_command/late_command)
    - oem-config.d for scripts run before/after oem-config
      (correspond to early_command/late_command)
  * Rewrite and split code pieces on oem-* script
  * Preseed oem-config when ubiquity run success.
  * Copies log files to /target/var/log/installer
  * Enable debug-shell in oem-config if necessary
  * Remove retail mode scripts

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Fri, 04 Mar 2016 17:29:40 +0800

columbia-install-scripts (1.6columbia2) xenial; urgency=medium

  * Remove /var/run/nologin to enable terminal
    login on OOBE stage.

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Thu, 03 Mar 2016 19:50:00 +0800

columbia-install-scripts (1.6columbia1) xenial; urgency=medium

  * Rename to columbia-install-scripts. (LP: #1546895)
  * Invoke /usr/sbin/oem-config-prepare to start OOBE
    (LP: #1552151)

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Wed, 02 Mar 2016 13:40:38 +0800

kittyhawk-install-scripts (1.6kittyhawk6) trusty; urgency=medium

  * Create /etc/X11/xorg.conf.d/DisableVTSwitch.conf to
    disable the Ctrl-Alt-Fn feature in retail mode. (LP: #1413064)

 -- Bruce Ma <bruce.ma@canonical.com>  Tue, 03 Mar 2015 18:27:46 +0800

kittyhawk-install-scripts (1.6kittyhawk5) trusty; urgency=low

  * In retail mode cleanup gsettings local changes for user oem.
    (LP: #1314040)

 -- Yu Ning <ning.yu@canonical.com>  Wed, 30 Apr 2014 20:46:04 +0800


