=== debian/control ===
Source: oem-preload-helper
Section: admin
Priority: extra
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 11)
Standards-Version: 3.9.7
Vcs-Git: https://git.launchpad.net/~oem-solutions-engineers/pc-enablement/+git/oem-preload-helper
Vcs-Browser: https://code.launchpad.net/~oem-solutions-engineers/pc-enablement/+git/oem-preload-helper/+ref/main

Package: oem-preload-scripts
Architecture: all
Depends: ${misc:Depends}, ubiquity
Conflicts: ubuntu-recovery
Provides: oem-preload-scripts
Description: Deploys install-time scripts. Common files
 This package contains scripts to peform various install-time tasks.

Package: oem-preload-casper
Architecture: all
Depends: ${misc:Depends}, ubiquity, oem-preload-scripts
Conflicts: ubuntu-recovery-casper
Description: OEM installer casper hooks
