=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_installgsettings:
	dh_installgsettings --priority=20

override_dh_installsystemd:
	dh_installsystemd --name=oem-early-tasks
